/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "code_saturne", "index.html", [
    [ "Introduction", "index.html", null ],
    [ "Running a computation", "cs_ug_user_basics.html", [
      [ "Quick start", "cs_ug_quick_start.html", null ],
      [ "Global user settings", "cs_ug_user_settings.html", null ],
      [ "Case directory structure", "cs_ug_case_structure.html", null ],
      [ "Running a calculation", "cs_ug_run_computation.html", null ],
      [ "Supported file formats", "cs_ug_file_formats.html", null ],
      [ "Mesh import and preprocessing", "cs_ug_mesh_prepare.html", null ],
      [ "Mesh element set selection", "cs_ug_mesh_select_c.html", null ],
      [ "Parallelism and periodicity", "cs_ug_parallel.html", null ],
      [ "Managing and analyzing the output", "cs_ug_output.html", null ],
      [ "User-defined functions", "cs_ug_udf.html", null ],
      [ "What if a calculation fails ?", "cs_ug_troubleshooting.html", null ]
    ] ],
    [ "Basic modeling setup", "cs_ug_base_setup.html", null ],
    [ "Advanced modeling setup", "cs_ug_advanced_setup.html", [
      [ "Low-level finite-volume boundary-condition definitions", "low_level_boundary_condition_definitions.html", null ],
      [ "Specific physical models", "advanced_specific_physics.html", null ],
      [ "Pulverized coal and gas combustion module", "advanced_coal_and_gas_combution.html", null ],
      [ "Heavy fuel oil combustion module", "advanced_fuel_oil_combustion.html", null ],
      [ "Radiative thermal transfers in semi-transparent gray media", "advanced_radiative_thermal.html", null ],
      [ "Conjugate heat transfer", "advanced_conjugate_heat_transfer.html", null ],
      [ "Particle-tracking (Lagrangian) module", "advanced_particle_tracking.html", null ],
      [ "Compressible module", "advanced_compressible.html", null ],
      [ "Electric arcs module", "advanced_electric_arcs.html", null ],
      [ "Coupling with other domains", "advanced_coupling.html", null ],
      [ "ALE (Arbitrary Lagrangian Eulerian) module", "advanced_ale.html", null ],
      [ "Atmospheric flows module", "advanced_atmospheric.html", null ],
      [ "Turbomachinery module", "advanced_turbomachinery.html", null ],
      [ "Cavitation module", "advanced_cavitation.html", null ],
      [ "Groundwater flows module", "cs_gwf_cdo.html", null ],
      [ "Solidification module", "advanced_solidification.html", null ]
    ] ],
    [ "The STUDYMANAGER tool", "cs_ug_studymanager.html", null ],
    [ "Developer guide", "cs_dg_developer_guide.html", [
      [ "Coding style guidelines", "cs_dg_coding_style.html", null ],
      [ "Common constructs", "cs_dg_common_constructs.html", null ],
      [ "Node-level parallelism", "cs_dg_node_level_parallelism.html", null ],
      [ "Build system", "cs_dg_build_system.html", null ],
      [ "Writing the theory documentation", "cs_dg_writing_theory.html", null ],
      [ "Further reading", "cs_dg_further_reading.html", null ],
      [ "Debugging", "cs_dg_debugging.html", null ],
      [ "Profiling", "cs_dg_profiling.html", null ]
    ] ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", "namespacemembers_vars" ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", null ],
        [ "Variables", "functions_vars.html", "functions_vars" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", "globals_vars" ],
        [ "Typedefs", "globals_type.html", "globals_type" ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", "globals_eval" ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ],
    [ "User examples", "cs_user_examples.html", null ],
    [ "Variables and structures reference", "cs_var_dico.html", null ]
  ] ]
];

var NAVTREEINDEX =
[
"addfld_8f90.html",
"atini1_8f90.html#a7632ccdc71e15c1f3961760f05e9daed",
"coincl_8f90.html#a151defb9ea2e74cbd7ab0f17c7e5d81a",
"cs__advection__field_8c.html#a554e21069717572fc9220b7605993cf8",
"cs__array_8h.html#a3815352860d785b0ad9306e9bd6a5021",
"cs__balance_8c.html#a5db06ee69736ccea638b3bc5cf0ee37c",
"cs__basis__func_8c.html#a7f72e9c2a37dab0b950cccd1a69917ee",
"cs__boundary__conditions__set__coeffs_8h.html#a6bde43adc645990af38eac754490c79e",
"cs__cdo__advection_8h.html#a78099b4d52222097bf6e1949de8fc691",
"cs__cdo__local_8c.html#af3998e50e1dd3ef431eb2d213c6a3110",
"cs__cdo__turbulence_8h.html#ab215c22813da4a73a9d35161513fb151",
"cs__cdofb__scaleq_8c.html#a7ff838aaccd745287f6050b2f204f668",
"cs__cell__to__vertex_8h_source.html",
"cs__convection__diffusion_8h.html#a43be50023841d0dc22072b439e116a3d",
"cs__defs_8h.html#a04c7b6df40796a804aad6474536615e7a9b6b44fad43b91567b375724a67dbef2",
"cs__elec__model_8h.html#ae511de97874614c0febb5bc2dbfb5288",
"cs__equation__bc_8h_source.html",
"cs__equation__system_8c.html#a8b06e3ab53a66d4018c1a0eb6fe2ea03",
"cs__field_8h.html#a0d752bf7a77cb8bf1e7bfb87536443c9",
"cs__field__pointer_8h.html#a8847cc7e9a0af792d5b3087efa1d9e00ac0ebb235d5b3f6bf402b892a115734be",
"cs__flag_8h.html#add7f57d87874f71ee56e7b7af422cda2",
"cs__gui_8c.html#a243ae1dc75702e250fb656554d8f1a96",
"cs__gui__util_8h.html#a920aa19b3913b5886478d1f36a5787b2",
"cs__gwf__tpf_8c.html#abb6eb883c2f7d51c66a71141985b8fe3",
"cs__hgn__thermo_8h.html#a92166605f9ad18acb28e25b454af2814",
"cs__hodge_8h.html#ad9513d89c372de21df16c55bdef56ba2",
"cs__internal__coupling_8c.html#aed93d336bc950f39af9ab6b7f5aa2141",
"cs__join__mesh_8c.html#a9f39869a4416cfa0fc893d8c530b1976",
"cs__lagr_8h.html#acd072da99825d3ab9be5dcee362a8ebcaf3e9601936b95c226dc7534f0d750a0e",
"cs__lagr__particle_8h.html#a03ec0ee896cdb0c79f507a5bcb4bf927a234501486cbfe57d8c486fd5b7d076ea",
"cs__lagr__stat_8h.html#a2d3cad369b155d5739c3e2d95d67f6adab4047dd05412dfdd525e6dff6f30e64e",
"cs__math_8h.html#a1c87607ec4d4cecafb59debe5e629dfa",
"cs__matrix__assembler_8h.html#ad168d4682088f07ca58bd3b6ddab2b6b",
"cs__medcoupling__intersector_8h.html#a3c2a5648ac07d804c165c1112a57c070",
"cs__mesh_8h.html#a831fab33aab00280e3c0d3848349e634",
"cs__mesh__group_8c.html#a3499d91f9d38e1376cd04f0be4a4077f",
"cs__multigrid_8c.html#a586cefe9e8baa16ebce7005464de71c5",
"cs__navsto__system_8c.html#a67b3d3274ce66eb5cddc8031d09e940c",
"cs__param__cdo_8h.html#a862ae12596bc454556c885b3f9eef00fad86773e8afaf4944c9db08d64f2b83c7",
"cs__param__types_8h.html#ab0fdc85cce8181dd63b6945cdb7be2cca8fb8902bcce74ab48157602a5c6edeb2",
"cs__part__to__block_8h.html#ad817165f9bbb7ba60f9f4395aaa04fca",
"cs__post_8h.html#a2ba87321dc494b6a28011961beb6b976",
"cs__probe_8h.html#ab59bae48be2cbd97bc98f17cd114a8b5",
"cs__quadrature_8c.html#a8cd1f2dbfbb3c2c7c417a20594ef45b0",
"cs__reco_8c.html#a3fae5ca09ccfff27716e7ce91385ed58",
"cs__restart_8h.html#af8d70a0193000f7fb94e32917a58c914",
"cs__sdm_8h.html#a6a02e60e2103998f1d4eaf9335a6d1fa",
"cs__sles__hypre_8h.html#a31bbb4b6631d654e0cf8abb554e5edf1",
"cs__solid__zone_8c.html#a7b3dae5ea06117a39f1a7483bcf50b83",
"cs__static__condensation_8h_source.html",
"cs__time__control_8c.html",
"cs__tree_8h.html",
"cs__turbulence__model_8c.html#a84ffb7705a4072af0945fa3de3efdc6d",
"cs__turbulence__v2f_8c.html#ad0eda321b3fba1301a294345f7df0c11",
"cs__volume__zone_8h.html#a6a207eae7460079e19af5857474b180d",
"cs__xdef__cw__eval_8h.html#aa8adb45ad239a2b8117f0040ee351d0e",
"dttvar_8f90.html#a55cf13ba34e72cb26942caee0fae9c4f",
"fvm__defs_8h.html#ad65ca1ffd3433611baf74bef2afeba78acb3632938b080640ccf375d965f3e31e",
"fvm__nodal__from__desc_8c.html#a4bd205ccd5fb57ddfe1605a1a90738ee",
"fvm__to__melissa_8c.html#abbc974c292ab7120d000b89b54105d5e",
"globals_vars_a.html",
"group__at__imbrication.html#gab0c60cb5942c91a5a0f6534c28b764d5",
"group__at__rotation.html#ga79e3e3ab9ffa79cf63cb4de62650960d",
"group__choice.html#ga829ffb1a8f4458c6ccee9b0313bd78e1",
"group__cstphy.html#ga74d5630851da44f8c0c63af90696c1de",
"group__function__object__defaults.html#ga33ff644ab6ea773d6d72c5f945238511",
"group__numerical__prop.html",
"group__stokes.html#ga02a5c407cbab3514b690223bf21b4dc9",
"group__turbulence.html#gaba71e58f5484ce8f4c945ff267db1b84",
"interfacecs__c__bindings_1_1time__moment__field__id.html#a4c5507d33cb6c989f10c2cdf1d024e94",
"lagran_8f90.html#ga70f1e59844400f5cb1e3834cbf82be76",
"namespacecpincl.html#a58d564ce6a2ab83bfbc7f909f16d7b6f",
"namespacefield.html#a80b8f8cdc4f5296941ad56777bb9abe0",
"namespaceppcpfu.html#aeb9351ffe60c0d7fd9089f2089d232e2",
"paramx_8f90.html#a42843fe1049dabc953d22b675465e044",
"ppincl_8f90.html#gab5fc0a7ebd99cd88511cacc5c19dc16a",
"struct__cs__cdovb__t.html#adc5725f7836c3b680bc3058e85809ec1",
"structcs__adjacency__t.html#a991f3b82d7784f2c70ca7a2580575b84",
"structcs__c__bindings_1_1gas__mix__species__prop.html#a8fa78b3d4720ba8e0afa34cff2ad7f27",
"structcs__cell__mesh__t.html#a37593e9cae3df85f1a176ccae00de6c9",
"structcs__equation__param__t.html#a20e9dcf1ff1ced9a9994fa0814376bae",
"structcs__gwf__tpf__t.html#a316f0cfc6e024048f3179f5aee3eb8f0",
"structcs__lagr__attribute__map__t.html#a3da3cd7c5166cc7da29d182568488785",
"structcs__lagr__precipitation__model__t.html",
"structcs__mesh__quantities__t.html#ae9d84b912434d525ef444e72c345ec11",
"structcs__property__data__t.html#ab37e588f9db3cb68cc4d2e6449c2544e",
"structcs__thermal__system__t.html",
"structcs__zone__t.html#a68cacdc1b506e130a40fe9d572f32d2d"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';